CM <- Type1Font("CM",c(file.path("/usr/local/texlive/2014/texmf-dist/fonts/afm/public/cm-lgc",c("fcmr6z.afm","fcmb6z.afm","fcmri6z.afm", "fcmbi6z.afm")),"/usr/local/lib/R/site-library/cmrutils/fonts/afm/cmsyase.afm"))

embedCMFonts <- function (file) embedFonts(file,fontpaths=c("/usr/local/texlive/2014/texmf-dist/fonts/type1/public/cm-lgc","/usr/local/lib/R/site-library/cmrutils/fonts/type1/"))

pdfFonts("CM"=CM)

pdf.options(pointsize=15, family="CM", encoding="CP1251.enc")

pchShow <-
function(extras = c("*",".", "o","O","0","+","-","|","%","#"), cex=3, col="black", bg="gray", coltext="black", cextext=1.2,  main="")
  {
nex <- length(extras)
np  <- 26 + nex
ipch <- 0:(np-1)
k <- floor(sqrt(np))
dd <- c(-1,1)/2
rx <- dd + range(ix <- ipch %/% k)
ry <- dd + range(iy <- 3 + (k-1)- ipch %% k)
pch <- as.list(ipch) # list with integers & strings
if(nex > 0) pch[26+ 1:nex] <- as.list(extras)
oldpar <- par(mar=c(0,0,0,0))
plot(rx, ry, type="n", axes=FALSE, xlab="", ylab="", main=main)
abline(v = ix, h = iy, col="lightgray", lty="dotted")
for(i in 1:np) 
  {
  pc <- pch[[i]]
  ## 'col' symbols with a 'bg'-colored interior (where available) :
  points(ix[i], iy[i], pch = pc, col = col, bg = bg, cex = cex) 
  if(cextext > 0) text(ix[i] - 0.3, iy[i], pc, col = coltext, cex = cextext)
  }
par(oldpar)
  }
